# Create or update the job description

Creates a job description entity if it does not exist or updates the job description entity. It confirms that the job exists and that the user has permission to access it. Properties or relations not included in the request will be set to null.

Endpoint: PUT /api/jobs/{id}/description
Version: v2.0
Security: OAuth2

## Path parameters:

  - `id` (integer, required)
    The ID for the job, for example 39596.

## Request fields (application/json):

  - `id` (integer,null)
    The unique job description ID.

  - `identifier` (string,null)
    The unique job description identifier.

  - `properties` (object,null)
    The job description properties.

  - `relations` (object,null)
    The job description relations.

  - `is_root_taxonomy_item` (boolean,null)
    A value indicating whether the job description is a root taxonomy item.

  - `is_path_root` (boolean,null)
    A value indicating whether the job description is a path root.

  - `entity_definition` (object)
    Represents a link to a resource.

  - `entity_definition.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `entity_definition.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `entity_definition.title` (string,null)
    Gets or sets the title that describes this link.

  - `entity_definition.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `is_system_owned` (boolean)
    A value indicating whether the job description is system owned.

  - `inherits_security` (boolean)
    A value indicating whether the job description inherits security.

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string,null)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.


## Response 201 fields

## Response 204 fields

## Response 400 fields

## Response 401 fields

## Response 404 fields
